package dragonbutton;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class BigButton extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void init() {
    }

    @Override
    public void start(Stage stage) {
        try {
            VBox root = new VBox();
            //
            Button big = new Button("Liczby \nrzeczywiste");
            big.getStyleClass().add("bbutton");
            big.setOnAction(e -> System.out.println(
                    "Kliknąłeś przycisk 'Liczby rzeczywiste'"));
            big.setMaxWidth(200);
            big.setMinWidth(200);
            big.setPrefWidth(200);
            //
            root.getChildren().add(big);
            Scene scene = new Scene(root, 300, 300);
            scene.getStylesheets().add("zasoby/vademecum.css");
            stage.setScene(scene);
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop() {
    }
}
