package dragonbutton;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class MiddleButton extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void init() {
    }

    @Override
    public void start(Stage stage) {
        try {
            VBox root = new VBox();
            //
            Button med = new Button("Liczby \nrzeczywiste");
            med.getStyleClass().add("mbutton");
            med.setOnAction(e -> System.out.println(
                    "Kliknąłeś przycisk 'Liczby rzeczywiste'"));
            med.setMaxWidth(160);
            med.setMinWidth(160);
            med.setPrefWidth(160);
            //
            root.getChildren().add(med);
            Scene scene = new Scene(root, 300, 300);
            scene.getStylesheets().add("zasoby/vademecum.css");
            stage.setScene(scene);
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop() {
    }
}
