package dragonbutton;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class SmallButton extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void init() {
    }

    @Override
    public void start(Stage stage) {
        try {
            VBox root = new VBox();
            //
            Button sm1 = new Button("Liczby \nrzeczywiste");
            sm1.getStyleClass().add("sbutton");
            sm1.setOnAction(e -> System.out.println(
                    "Kliknąłeś przycisk 'Liczby rzeczywiste'"));
            sm1.setMaxWidth(120);
            sm1.setMinWidth(120);
            sm1.setPrefWidth(120);
            //
            root.getChildren().add(sm1);
            Scene scene = new Scene(root, 300, 300);
            scene.getStylesheets().add("zasoby/vademecum.css");
            stage.setScene(scene);
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop() {
    }
}
